Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class EffectWidgetReplacingPipe.StylingContentHandler

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.StylingContentHandler

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Enclosing class:
  EffectWidgetReplacingPipe

protected class EffectWidgetReplacingPipe.StylingContentHandler
extends org.apache.cocoon.xml.AbstractXMLPipe

This ContentHandler helps in inserting SAX events before the closing tag of the root element.

Field Summary

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Constructor Summary
`protected` | `EffectWidgetReplacingPipe.StylingContentHandler()`

Method Summary
`void` | `endElement(String uri, String loc, String raw)`
`void` | `recycle()`
`void` | `setSaxFragment(org.apache.cocoon.xml.SaxBuffer saxFragment)`
`void` | `startElement(String uri, String loc, String raw, Attributes a)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Constructor Detail

### EffectWidgetReplacingPipe.StylingContentHandler

    protected EffectWidgetReplacingPipe.StylingContentHandler()

Method Detail

### setSaxFragment

    public void setSaxFragment(org.apache.cocoon.xml.SaxBuffer saxFragment)

### recycle

    public void recycle()

### startElement

    public void startElement(String uri,
                             String loc,
                             String raw,
                             Attributes a)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.